wdcp常见组件安装方法,memcache,mysql_innodb,升级php、mysql等

2017-07-19 09:16:44 adman 25

原文:https://www.west.cn/faq/list.asp?unid=607


安装以下脚本时,请注意服务器内是否有安装云锁,安装前请先卸载(教程


通过ssh方式登陆服务器后输入以下命令即可下载脚本并执

wget http://downinfo.myhostadmin.net/vps/memcachednew.sh  自适应wdcp默认php5.2.17或脚本升级后的php5.3.29

sh memcachednew.sh

其他脚本
http://downinfo.myhostadmin.net/vps/mysql_innodb_ins.sh   mysql innodb引擎支持
http://downinfo.myhostadmin.net/vps/iconv_ins.sh          php5.3.29已默认编译支持
http://downinfo.myhostadmin.net/vps/soapnew.sh           自适应wdcp默认php5.2.17或脚本升级后的php5.3.29
http://downinfo.myhostadmin.net/vps/bcmathnew.sh         自适应wdcp默认php5.2.17或脚本升级后的php5.3.29

http://downinfo.myhostadmin.net/vps/exif_insnew.sh       自适应wdcp默认php5.2.17或脚本升级后的php5.3.29

http://downinfo.myhostadmin.net/vps/sockets_ins new.sh   自适应wdcp默认php5.2.17或脚本升级后的php5.3.29

http://downinfo.myhostadmin.net/vps/PHP_APC.sh           自适应wdcp默认php5.2.17或脚本升级后的php5.3.29

http://downinfo.myhostadmin.net/vps/mysqli_ins.sh    自适应wdcp默认php5.2.17或脚本升级后的php5.3.29

http://downinfo.myhostadmin.net/vps/zip.sh

http://downinfo.myhostadmin.net/vps/ioncube.sh    一键安装ioncube(自适应php5.2-7.0)

http://downinfo.myhostadmin.net/vps/ioncubev32.sh 一键安装ioncube(自适应php5.2-7.0)WDCPv3.2


http://downinfo.myhostadmin.net/vps/redis.sh      一键安装redis(自适应php5.2-7.0)

http://downinfo.myhostadmin.net/vps/rediv32.sh   一键安装redis(自适应php5.2-7.0)WDCPv3.2


http://downinfo.myhostadmin.net/vps/pdo_mysql_ins.sh  (php5.2pdo_mysql支持)

http://downinfo.myhostadmin.net/vps/pdo_mysql_ins5.3.sh  (php5.3pdo_mysql支持)

 

升级mysql5.5.36|5.6.15

适合新开通wdcp环境的vps/云服务器,若有重要数据,请自行备份,升级mysql后需重新编译php,所以推荐升级数据库后
再升级php5.3/5.4或更高版本
wget http://downinfo.myhostadmin.net/vps/mysql5.6.sh

要升级5.5.36则执行 

   sh mysql5.6.sh 

若要升级5.6.15则执行 

   sh mysql5.6.sh 5.6.15 


升级到php5.3

需要说明升级5.3后,原来服务器上必须使用php 5.2运行的网站将无法正常使用,请知悉,谢谢 

wget http://downinfo.myhostadmin.net/vps/php_up53.sh
sh php_up53.sh

wget http://downinfo.myhostadmin.net/vps/pdo_mysql_ins5.3.sh

sh pdo_mysql_ins5.3.sh

wget http://down.wdlinux.cn/in/ZendGL_ins.sh
sh ZendGL_ins.sh
wget http://down.wdlinux.cn/in/eac0961_ins.sh
sh eac0961_ins.sh
shutdown -r now
注意:升级后将不支持Zend Optimizer,将会和以前程序不兼容,需确认程序必须使用5.3方可执行(执行要进行大量编译,一般半小时-1小时才能安装完成)

升级到php5.4|5.5|5.6
wget http://downinfo.myhostadmin.net/vps/php_up54.sh

sh php_up54.sh
如果需要安装其它版本用这样即可:sh php_up54.sh 版本号;
5.5版本目前最高5.5.32,使用sh php_up54.sh 5.5.32即可

5.6版本目前最高5.6.18,使用sh php_up54.sh 5.6.18即可


升级到php7.0.4

wget http://downinfo.myhostadmin.net/vps/php_up7.0.4.sh

sh php_up7.0.4.sh 7.0.4


安装zend guard (自适应wdcp2.5版本,支持wdcp3.2版本)
wget http://downinfo.myhostadmin.net/vps/zendguard6.sh
sh zendguard6.sh 5.4
php5.5.x版本,执行sh zendguard6.sh 5.5
php5.6.x版本,执行sh zendguard6.sh 5.6 
重启服务


URL地址不区分大小写

wget http://downinfo.myhostadmin.net/vps/speling.sh

sh speling.sh


wdcp安装mod_encoding

wdcp安装mod_encoding实现中文文件名访问

wget -c "http://download.west263.net/linux/mod_encoding_2010.zip"
unzip mod_encoding_2010.zip
cd mod_encoding_2010
patch -p0 < mod_encoding.c-apache2.2-20060520.patch
cd lib
chmod 777 configure
./configure --prefix=/usr
make
make install
ldconfig
cd ../
chmod 777 configure
./configure --with-apxs=/www/wdlinux/apache/bin/apxs --with-iconv-hook=/usr/include
make
gcc -shared -o mod_encoding.so mod_encoding.o -Wc,-Wall -Llib -liconv_hook
cp mod_encoding.so /www/wdlinux/apache/modules/

vi  /www/wdlinux/apache/conf/httpd.conf
添加一下内容到加载模块的部分:
LoadModule encoding_module modules/mod_encoding.so
<IfModule mod_encoding.c>
    EncodingEngine on
    NormalizeUsername on
    SetServerEncoding GBK
    DefaultClientEncoding UTF-8 GBK GB2312
</IfModule> 


apache对SSL的支持,需重新编译apache(lamp/lnamp版环境) 

如果是lnmp版的环境(针对httpd-2.2.22版本)

wget http://down.wdlinux.cn/in/http2222_ssl.sh

sh http2222_ssl.sh


如果是lnmp版的环境,则使用下面这个试试(针对默认的php-5.2.17版本)

wget http://down.wdlinux.cn/in/lnmp_php_ssl_5217.sh

sh lnmp_php_ssl_5217.sh


wdcp2.5版本默认环境的openssl 、apache 、nginx无法满足苹果对https的ATS验证需求:


注意:只在默认wdcp2.5环境测试测试通过,如果升级过或者修改过默认目录的,请先做好配置的备份


1.如果使用apache模式 ,需要升级openssl以及apache 并重新编译安装

wget http://downinfo.myhostadmin.net/wdcp/httpd2232_ssl.sh

sh httpd2232_ssl.sh


2.如果使用nginx或nginx+apache模式 ,需要升级openssl和nginx

wget http://downinfo.myhostadmin.net/wdcp/nginx_up.sh

sh nginx_up.sh

nginx默认升级为最新稳定版本nginx-1.10.2 ,如果需要其他版本在后面加上版本号即可 (推荐默认版本)

sh nginx_up.sh 1.11.8